Upgrading problem

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Upgrading problem

Matthew Sable
I'm attempting to upgrade our OpenSIM server from version 0.68 to
0.72.  First, I've followed instructions on how to backup and restore
resources from here:
http://www.osgrid.org/forums/viewtopic.php?f=5&t=1791

I've made modified scripts that essentially do the same job.  I then
copy my "Regions.ini" file to the new version and either copy my old
"Opensim.ini" file in OR add the following lines in the database
section (commenting out the SQLlite versions):

torage_plugin="OpenSim.Data.MySQL.dll"
    storage_connection_string="Data
Source=localhost;Database=opensim;User ID=*****;Password=****************;";

When I first run Opensim, it then throws a fit because all of the
prims are missing.  I then run the "restore.txt" script to restore the
assets.  The problem is I can't log in.  I check MySQL and the
database is still there with the user table, but I don't think the new
version of OpenSim is accessing it.  My current form of "backup" is to
simply copy the entire island folder but that doesn't allow for
upgrading the core software.  In that way, I still have a functional
version of the island in 0.68 but I'd like to know if I'm missing
something in making the transition to a newer version.  Thanks.
_______________________________________________
Opensim-users mailing list
[hidden email]
https://lists.berlios.de/mailman/listinfo/opensim-users
Reply | Threaded
Open this post in threaded view
|

Re: Upgrading problem

justincc
On 17/09/10 20:24, Matthew Sable wrote:

> I'm attempting to upgrade our OpenSIM server from version 0.68 to
> 0.72.  First, I've followed instructions on how to backup and restore
> resources from here:
> http://www.osgrid.org/forums/viewtopic.php?f=5&t=1791
>
> I've made modified scripts that essentially do the same job.  I then
> copy my "Regions.ini" file to the new version and either copy my old
> "Opensim.ini" file in OR add the following lines in the database
> section (commenting out the SQLlite versions):
>
> torage_plugin="OpenSim.Data.MySQL.dll"
>      storage_connection_string="Data
> Source=localhost;Database=opensim;User ID=*****;Password=****************;";
>
> When I first run Opensim, it then throws a fit because all of the
> prims are missing.  I then run the "restore.txt" script to restore the
> assets.  The problem is I can't log in.  I check MySQL and the
> database is still there with the user table, but I don't think the new
> version of OpenSim is accessing it.  My current form of "backup" is to
> simply copy the entire island folder but that doesn't allow for
> upgrading the core software.  In that way, I still have a functional
> version of the island in 0.68 but I'd like to know if I'm missing
> something in making the transition to a newer version.  Thanks.

Assuming that you mean OpenSim 0.7.0.2, if you're migrating against your existing database, all you need to do is point
the new installation at the existing database via the changes you're already making to storage_plugin and connection
string - there's no need to backup and restore terrain or oars.

The only other thing you need to do is move your Regions.ini, as you have, and change OpenSim.ini.  We suggest copying
the OpenSim.ini.example in the new distribution and editing that instead, since there can be problems using an old
OpenSim.ini due to new configuration parameters in later versions of OpenSim.

--
Justin Clark-Casey (justincc)
http://justincc.org
http://twitter.com/justincc
_______________________________________________
Opensim-users mailing list
[hidden email]
https://lists.berlios.de/mailman/listinfo/opensim-users
Reply | Threaded
Open this post in threaded view
|

Re: Upgrading problem

Matthew Sable
Well, today I tried simply editing the new "OpenSim.ini" file and
changing the storage_plugin and storage_connection_string.  I copy
Regions.ini over and the same result:  I load OpenSim32bitLaunch.exe
and it works fine until it starts to print out a laundry list of red
lines that all start with [PRIM_INVENTORY].  Regardless, it still
doesn't allow me log in.  I figure even without prims, it should still
be linked to the DB and log me in.  According to the guy that set up
the DB, MySQL is just managing the UUID of the assets.  The assets
themselves should probably still be in a ".oar" file.  As I said, I
still can't log in with it so I have no idea.

On Fri, Sep 17, 2010 at 10:09 PM, Justin Clark-Casey
<[hidden email]> wrote:

> On 17/09/10 20:24, Matthew Sable wrote:
>>
>> I'm attempting to upgrade our OpenSIM server from version 0.68 to
>> 0.72.  First, I've followed instructions on how to backup and restore
>> resources from here:
>> http://www.osgrid.org/forums/viewtopic.php?f=5&t=1791
>>
>> I've made modified scripts that essentially do the same job.  I then
>> copy my "Regions.ini" file to the new version and either copy my old
>> "Opensim.ini" file in OR add the following lines in the database
>> section (commenting out the SQLlite versions):
>>
>> torage_plugin="OpenSim.Data.MySQL.dll"
>>     storage_connection_string="Data
>> Source=localhost;Database=opensim;User
>> ID=*****;Password=****************;";
>>
>> When I first run Opensim, it then throws a fit because all of the
>> prims are missing.  I then run the "restore.txt" script to restore the
>> assets.  The problem is I can't log in.  I check MySQL and the
>> database is still there with the user table, but I don't think the new
>> version of OpenSim is accessing it.  My current form of "backup" is to
>> simply copy the entire island folder but that doesn't allow for
>> upgrading the core software.  In that way, I still have a functional
>> version of the island in 0.68 but I'd like to know if I'm missing
>> something in making the transition to a newer version.  Thanks.
>
> Assuming that you mean OpenSim 0.7.0.2, if you're migrating against your
> existing database, all you need to do is point the new installation at the
> existing database via the changes you're already making to storage_plugin
> and connection string - there's no need to backup and restore terrain or
> oars.
>
> The only other thing you need to do is move your Regions.ini, as you have,
> and change OpenSim.ini.  We suggest copying the OpenSim.ini.example in the
> new distribution and editing that instead, since there can be problems using
> an old OpenSim.ini due to new configuration parameters in later versions of
> OpenSim.
>
> --
> Justin Clark-Casey (justincc)
> http://justincc.org
> http://twitter.com/justincc
> _______________________________________________
> Opensim-users mailing list
> [hidden email]
> https://lists.berlios.de/mailman/listinfo/opensim-users
>



--
Matthew Sable
Adjunct Lecturer
Office:  206 CIS
Computer and Information Science Department
University of Michigan - Dearborn
(313) 279-0259 (Cell)
_______________________________________________
Opensim-users mailing list
[hidden email]
https://lists.berlios.de/mailman/listinfo/opensim-users